| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IProperty Class Referenceabstract

The IProperty is the basic interface for all components which have properties that can be set or get. More...

`#include <GaudiKernel/IProperty.h>`

Inheritance diagram for IProperty:
[legend]
Collaboration diagram for IProperty:
[legend]

## Public Member Functions
| DeclareInterfaceID (IProperty, 2, 1)
| InterfaceID. More...
virtual StatusCode | setProperty (const Gaudi::Details::PropertyBase &p)=0
| Set the property by property. More...
virtual StatusCode | setProperty (const std::string &s)=0
| Set the property by string. More...
virtual StatusCode | setProperty (const std::string &n, const std::string &v)=0
| Set the property by std::string. More...
virtual StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const =0
| Get the property by property. More...
virtual const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const =0
| Get the property by name. More...
virtual StatusCode | getProperty (const std::string &n, std::string &v) const =0
| Get the property by std::string. More...
virtual const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const =0
| Get list of properties. More...
virtual bool | hasProperty (const std::string &name) const =0
| Return true if we have a property with the given name. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

The IProperty is the basic interface for all components which have properties that can be set or get.

Author
  Paul Maley
  Pere Mato

Date
  29/10/98

Definition at line 20 of file IProperty.h.

## Member Function Documentation

## ◆ DeclareInterfaceID()

IProperty::DeclareInterfaceID | ( | IProperty | ,
|  | 2 | ,
|  | 1 |
| ) |  |

InterfaceID.

## ◆ getProperties()

virtual const std::vector<Gaudi::Details::PropertyBase*>& IProperty::getProperties | ( |  | ) | const
| pure virtual

Get list of properties.

## ◆ getProperty() [1/3]

virtual StatusCode IProperty::getProperty | ( | Gaudi::Details::PropertyBase * | p | ) | const
| pure virtual

Get the property by property.

## ◆ getProperty() [2/3]

virtual const Gaudi::Details::PropertyBase& IProperty::getProperty | ( | const std::string & | name | ) | const
| pure virtual

Get the property by name.

## ◆ getProperty() [3/3]

virtual StatusCode IProperty::getProperty | ( | const std::string & | n,
|  | std::string & | v
| ) |  | const
| pure virtual

Get the property by std::string.

## ◆ hasProperty()

virtual bool IProperty::hasProperty | ( | const std::string & | name | ) | const
| pure virtual

Return true if we have a property with the given name.

## ◆ setProperty() [1/3]

virtual StatusCode IProperty::setProperty | ( | const Gaudi::Details::PropertyBase & | p | ) |
| pure virtual

Set the property by property.

## ◆ setProperty() [2/3]

virtual StatusCode IProperty::setProperty | ( | const std::string & | s | ) |
| pure virtual

Set the property by string.

## ◆ setProperty() [3/3]

virtual StatusCode IProperty::setProperty | ( | const std::string & | n,
|  | const std::string & | v
| ) |  |
| pure virtual

Set the property by std::string.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IProperty.h